import request from '@/utils/request'

// 查询拍单商品列表
export function listFsCourseProduct(query) {
  return request({
    url: '/course/fsCourseProduct/list',
    method: 'get',
    params: query
  })
}

// 查询拍单商品详细
export function getFsCourseProduct(id) {
  return request({
    url: '/course/fsCourseProduct/' + id,
    method: 'get'
  })
}

// 新增拍单商品
export function addFsCourseProduct(data) {
  return request({
    url: '/course/fsCourseProduct',
    method: 'post',
    data: data
  })
}

// 修改拍单商品
export function updateFsCourseProduct(data) {
  return request({
    url: '/course/fsCourseProduct',
    method: 'put',
    data: data
  })
}

// 删除拍单商品
export function delFsCourseProduct(id) {
  return request({
    url: '/course/fsCourseProduct/' + id,
    method: 'delete'
  })
}

// 导出拍单商品
export function exportFsCourseProduct(query) {
  return request({
    url: '/course/fsCourseProduct/export',
    method: 'get',
    params: query
  })
}